Support » Plugin: Content Control - User Access Restriction Plugin » Can’t open and edit my restrictions

  • I used to set up several restrictions and they work awesome. But when I wanted to update a restriction, I couldn’t ust open it. None of them. This must be a bug. How can I fix it? Can it be connected with some sort of cookies?

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Support mlchaves

    (@mlchaves)

    Hey @artildo,

    ​Thanks for reaching out. We’re sorry you can’t edit your restrictions.

    There 3 things we should try to rule out right away:

    1) Please check that your max_input_vars is set to 3,000 or more. You can verify that in Tools > Site Health > Info > Server. If it’s lower than 3,000, please ask your hosting provider to increase it to 3,000.

    2) When you try to update a restriction, make sure your browser console is open. Look to see if there are errors in the console. If there are, you can go through the standard WordPress plugin and theme troubleshooting process. Learn more here https://docs.wppopupmaker.com/article/332-test-whether-a-plugin-or-theme-interferes-with-popup-maker

    3) If you’re running WPML on your site, try to deactivate and reactivate WPML.

    If you’re still seeing the issue after trying those 3 things, please submit a help request via our contact form.

    https://code-atlantic.com/contact-us/

    Cheers!

    Thread Starter artildo

    (@artildo)

    Thank you for the reply! After checking the console, I saw that HTML5 player is giving an “http” arror:

    Mixed Content: The page at ‘https://<mysite.com>/wp-admin/plugins.php?activate=true&plugin_status=all&paged=1&s=&#8217; was loaded over HTTPS, but requested an insecure stylesheet ‘http://<mysite.com>/wp-content/plugins/html5-video-player/admin/css/admin.css?ver=2.4.5&#8217;. This request has been blocked; the content must be served over HTTPS.

    This is because of the HTML5 Player plugin. When it’s on, I see this error when clicking on a restrictrion:

    settings-page.min.js?ver=1.1.9:4 Uncaught TypeError: Cannot read properties of undefined (reading 'restrictions')
        at Object.edit (settings-page.min.js?ver=1.1.9:4)
        at HTMLAnchorElement.<anonymous> (settings-page.min.js?ver=1.1.9:4)
        at HTMLDocument.dispatch (jquery.min.js?ver=3.6.0:2)
        at HTMLDocument.v.handle (jquery.min.js?ver=3.6.0:2)

    When I turn if off, I can create restricions with selected roles and can edit restrictions. When the player is on, the things go worse.

    • This reply was modified 2 weeks, 6 days ago by artildo.
    Plugin Author Daniel Iser

    (@danieliser)

    @artildo – What plugin specifically is it that you disable to fix it? Would be happy to test it myself.

    Thread Starter artildo

    (@artildo)

    This one: https://wordpress.org/plugins/html5-video-player/
    It is handy since it’s disabling the right click preventing video from downloading.
    But it also doing something wrong with your plugin. But restrictions already set up are working.

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.